Page MenuHomePhabricator

Add a 'returnto' parameter
Closed, ResolvedPublic

Description

Add a 'returnto' parameter to be used in #forminput and #formlink parser functions or manually constructed links to forms

Sometimes you want to edit a page and return to a different one after saving. Imagine you have a list of contacts on an overview page. The new 'returnto' parameter allows you to link to edit forms for every entry and to create forms for new entries and bring the user directly back to the overview page after hitting the 'save' button.

Usage example:

{{#formlink:form=SampleForm|link text=come back here|query string=returnto={{PAGENAME}}}}

Details

Related Gerrit Patches:
mediawiki/extensions/SemanticForms : masterAdd a 'returnto' parameter

Event Timeline

Thai created this task.Apr 26 2016, 10:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 10:21 PM

@Thai: Thanks for the report and for providing a patch! Could you fix the commit message by following https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines please? That would also trigger an automatic notification in this task. :) Thanks!

Change 285534 had a related patch set uploaded (by Thai):
Add a 'returnto' parameter

https://gerrit.wikimedia.org/r/285534

Thai added a comment.Apr 27 2016, 8:15 AM

@Aklapper Thanks for the hint. Still learning how to use it...

Change 285534 merged by jenkins-bot:
Add a 'returnto' parameter

https://gerrit.wikimedia.org/r/285534

Yaron_Koren closed this task as Resolved.May 1 2016, 12:48 PM
Yaron_Koren claimed this task.